Public Support - Support Request #3842

Improve support for DDL
2018-08-23 10:54 - hidden

Status: Closed

Priority: Normal

Category:

Customer: VW Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-9641

Department: CARMEQ Affected Products: ADTF 2.14.0, ADTF 2.14.1, ADTF

2.14.2, ADTF 2.7.1, ADTF 3.3.1, ADTF
3.3.2, ADTF 3.3.3

Requester's Priority: Normal Platform: Other Linux 64bit, Ubuntu 12.04 64bit,
Ubuntu 14.04 64bit, Ubuntu 16.04 64bit,
Ubuntu 16.04 64bit (ARMv8), Ubuntu
18.04 64bit, Windows 10 32bit, Windows
10 64bit, Windows 7 32bit, Windows 7

64bit
Support Level: 2nd Level Topic: ADTF::DDL
Resolution: Product Issue Opened FAQ Links:
Description
Support Anfrage:

Ich wiirde gerne ein Feature Ticket fir das DDL-Handling erstellen lassen, da das Lesen und Schreiben von DDLs sehr umstandlich
umgesetzt ist.

Ich stelle mir eine Serialize(struct, buffer, bufferSize) und struct Deserialize(buffer, size) Funktion vor.

Dadurch wiirde das standige aufrufen von find_index, get und set entfallen und die Handhabung sehr vereinfachen.

Ich wiirde mir auch wiinschen, dass angelehnt an protobuf automatisch aus einer *.mediadescription eine Struct erstellt wird.

Beispiel von protobuf:

add_executable (ProtoTest ProtoTest.cpp Message.proto)
target_link_libraries (ProtoTest protobuf::libprotobuf)
protobuf_generate (TARGET ProtoTest)

Daran angelehnt wirde ich mir folgendes wiinschen:

adtf_add_filter (Filter Filter.h Filter.cpp Message.mediadescription)

ddl_generate (TARGET Filter)

Von mir aus kann auch der gesamte DDL-Support entfernt werden und standardmaBig durch protobuf ersetzt werden.
Diesen Vorgang wirde ich sogar bevozugen.

Lésung:

Es wurde ein Produktticket (CHANGE bzw Feature Request) erstellt. ACORE-9641
Die weitere Entscheidung / Bearbeitung erfolgt im Produktticket.

History

#1 - 2018-08-24 13:12 - hidden
- Status changed from New to In Progress

- Topic set to ADTF::DDL

#2 - 2018-08-24 13:47 - hidden

- Status changed from In Progress to Customer Feedback Required
https://www.cip.audi.de/jira/browse/ACORE-9641

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9641

Hallo Denny,

wir haben zu deiner Anfrage ein Produktticket (CHANGE) erstellt. ACORE-9641

Siehe auch den Link im Ticket.

Die weitere Entscheidung / Bearbeitung erfolgt im Produkiticket selbst.

Es kann ggf. aufgrund der aktuellen Urlaubssituation etwas dauern bis eine erste Einstufung des Produkttickets erfolgt.

Kénnen wir das Support Ticket damit wieder schlieBen?

#3 - 2018-08-28 07:24 - hidden
Danke das Ihr das Ticket erstellt habt.
Dieses Ticket kann damit geschlossen werden.

Viele GruB3e
Denny

#4 - 2018-08-28 08:29 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Affected Products deleted (ADTF 2.10.0, ADTF 2.11.0, ADTF 2.12.0, ADTF 2.12.1, ADTF 2.13.0, ADTF 2.13.1, ADTF 2.13.2, ADTF 2.13.3, ADTF
2.9.0, ADTF 2.9.1, ADTF 3.0.0, ADTF 3.0.0 (BETA), ADTF 3.0.1, ADTF 3.1.0, ADTF 3.2.0, ADTF 3.2.1, ADTF 3.3.0, ADTF 3.3.0 (BETA), ADTF 3.3.1
(BETA))

- Platform deleted (Windows 2008 32bit, Windows 2008 64bit)

#5 - 2018-09-11 15:25 - hidden
- Subject changed from DDL Support verbessern to Improve support for DDL
- Status changed from To Be Closed to Closed

#6 - 2018-09-11 15:25 - hidden
- Project changed from 20 to Public Support

- Private changed from Yes to No

#7 - 2019-08-16 11:45 - hidden

Hallo,

ich habe leider kein Zugriff auf ACORE-9641. Wurde dieser Wunsch umgesetzt?
Gruf3

Waldemar Kuznik

#8 - 2019-08-19 12:44 - hidden
- Author changed from hidden to hidden

Das Produktticket ACORE-9641 ist mit ADTF 3.5.0 umgesetzt und auf DONE gesetzt worden.
Aus dem Produktticket:
Umgesetzte Ergebnisse / Realised Results

e adtf_mdgen Tool erstellt

CMake Integration

description, md_sample_data und md_sample_data_factory templates erstellt.
Tests fur Code Generierung und Verwendung erstellt

Dokumentation erweitert

Beispiel hinzugefugt (demo_code_generation_filters)

2024-04-29 22


http://www.tcpdf.org

